Summary: The Asianux Linux mouse configuration tool.
Name: mouseconfig
Version: 4.26
Release: 5AX
License: distributable
Group: System Environment/Base
Source: %{name}-%{version}.tar.gz
Patch1: mouseconfig-xorg.patch
Patch2: mouseconfig-remove-force-transfer.patch
Prereq: findutils, textutils
Buildroot: %{_tmppath}/%{name}-root
Buildrequires: kudzu-devel, newt-devel
ExcludeArch: s390 s390x

%description
Mouseconfig is a text-based mouse configuration tool.  Mouseconfig
sets up the files and links needed for configuring and using a mouse
on a Asianux system.  The mouseconfig tool can be used to set
the correct mouse type for programs like gpm, and can be used with
Xconfigurator to set up the mouse for the X Window System.

%prep
%setup
%patch1 -p1
%patch2 -p1

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT mandir=%{_mandir} install
%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

#%files -f %{name}.lang
%files
%defattr(-,root,root)
%{_sbindir}/mouseconfig
%{_mandir}/*/*

%post
if [ -L /dev/mouse ]; then
     OLDDEV=`find /dev -name mouse -printf "%l" | grep cua`
     if [ "x$OLDDEV" != "x" ]; then
          DEVICE=`basename $OLDDEV`
          PORT=`echo $DEVICE | cut -b4`
	  rm -f /dev/mouse
          ln -s ttyS$PORT /dev/mouse
     fi
fi     

%changelog
* Mon Jul 9 2007 Shu Li <shuli@redflag-linux.com> 4.26-5AX
- modifed patch 1 to modify copyright. 

* Tue Apr 17 2007 Shu Li <shuli@redflag-linux.com> 4.26-4AX
- add patch 2 to remove force transfer. 

* Tue Apr  5 2005 Xu Xiaojing <xjxu@redflag-linux.com> 4.26-3AX
- use input/mice as ps/2 mouse device, instead of psaux
- support xorg-x11

* Tue Sep  3 2002 Trond Eivind Glomsrd <teg@redhat.com> 4.26-1
- Update translations

* Thu Aug 15 2002 Bill Nottingham <notting@redhat.com>
- build against new newt

* Tue Aug 06 2002 Karsten Hopp <karsten@redhat.de>
- assume that XF86Config is for XFree86 ver 4.x unless told otherwise (#68340,#70549)

* Tue Jul 09 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- Fix mouse entry for sun to busmouse. (Patch from tcallawa@redhat.com.)

* Mon Apr 15 2002 Trond Eivind Glomsrd <teg@redhat.com> 4.25-1
- Update tranlations

* Tue Apr  2 2002 Trond Eivind Glomsrd <teg@redhat.com> 4.24-1
- Update translations

* Mon Aug 27 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Add newt-devel to buildrequires (#49527)
- Update translations

* Tue Jun 19 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add ExcludeArch: s390 s390x

* Fri Apr 13 2001 Preston Brown <pbrown@redhat.com>
- ignore DEVICE line while reading sysconfig/mouse

* Fri Apr  6 2001 Preston Brown <pbrown@redhat.com>
- write DEVICE line to /etc/sysconfig/mouse

* Wed Mar 28 2001 Preston Brown <pbrown@redhat.com>
- rebuild against new kudzu w/mouse probing changes

* Fri Mar 16 2001 Bill Nottingham <notting@redhat.com>
- new translations

* Wed Mar  7 2001 Bill Nottingham <notting@redhat.com>
- add --modifyx option to modify X configuration without prompting

* Mon Feb 26 2001 Matthew Wilson <msw@redhat.com>
- correctly modify XF86Config-4 if XF86Config does not exist (#17360)

* Wed Feb 14 2001 Preston Brown <pbrown@redhat.com>
- final translation update

* Thu Feb  8 2001 Trond Eivind Glomsrd <teg@redhat.com>
- rebuild with new kudzu

* Fri Jan 26 2001 Trond Eivind Glomsrd <teg@redhat.com>
- fix USB probing

* Wed Jan 24 2001 Preston Brown <pbrown@redhat.com>
- final i18n update before beta

* Fri Jan 12 2001 Trond Eivind Glomsrd <teg@redhat.com>
- use %%lang

* Thu Aug 24 2000 Erik Troan <ewt@redhat.com>
- updated it/es translations

* Sun Aug 20 2000 Matt Wilson <msw@redhat.com>
- updated loads of translations

* Tue Aug 15 2000 Matt Wilson <msw@redhat.com>
- updated copyright date (#16283)

* Wed Aug 09 2000 Trond Eivind Glomsrd <teg@redhat.com>
- i18n merge

* Mon Aug 07 2000 Trond Eivind Glomsrd <teg@redhat.com>
- use IMPS/2 as default protocol for USB mice

* Sun Aug 06 2000 Trond Eivind Glomsrd <teg@redhat.com>
- add support for manipulating XFree 4 configuration files
- add ZAxisMapping for XFree 3 as well
- respect --emulthree option
- include non-English man pages

* Wed Jul 26 2000 Matt Wilson <msw@redhat.com>
- new translations for de fr it es

* Mon Jul 03 2000 Trond Eivind Glomsrd <teg@redhat.com>
- Add USB mouse devices

* Sat Jun 17 2000 Matt Wilson <msw@redhat.com>
- added defattr

* Thu Jun 15 2000 Matt Wilson <msw@redhat.com>
- FHS paths

* Mon Feb 21 2000 Bill Nottingham <notting@redhat.com>
- build against new kudzu (serial probe fixes)

* Thu Feb  3 2000 Matt Wilson <msw@redhat.com>
- gzip manpage

* Mon Jan 10 2000 Bill Nottingham <notting@redhat.com>
- fix problem in running from the command line

* Thu Sep  2 1999 Bill Nottingham <notting@redhat.com>
- kudzu-ify

* Fri Aug 22 1999 Preston Brown <pbrown@redhat.com>
- added serial Thinking Mouse type

* Mon Aug  2 1999 Matt Wilson <msw@redhat.com>
- rebuilt against newt 0.50

* Mon Apr 19 1999 Cristian Gafton <gafton@redhat.com>
- release for Red Flag Linux 6.0

* Tue Apr 13 1999 Preston Brown <pbrown@redhat.com>
- netscroll sets gpm mouse type to netmouse now, not plain ps/2.

* Tue Mar 30 1999 Preston Brown <pbrown@redhat.com>
- updated man page to reflect that mouseconfig can fix XF86Config.

* Fri Mar 19 1999 Preston Brown <pbrown@redhat.com>
- fixed gpm mouse types to match gpm 1.17

* Thu Mar 18 1999 Matt Wilson <msw@redhat.com>
- updated man page

* Mon Mar 15 1999 Matt Wilson <msw@redhat.com>
- added new feature that rewrites the /etc/X11/XF86Config file to
  reflect new changes in mouse settings.

* Thu Mar 10 1999 Matt Wilson <msw@redhat.com>
- changed handling of the "No mouse" option
- made /dev/mouse symlink relative
- changed sun probing to default to serial mice for sun4[cm]

* Tue Mar  9 1999 Jeff Johnson <jbj@redhat.com>
- add in_ID.po.

* Wed Mar  3 1999 Matt Wilson <msw@redhat.com>
- mouseconfig now exits when enter is pressed
- fixed sparc support

* Sat Feb 27 1999 Matt Wilson <msw@redhat.com>
- added workarounds for 2.2 kernel serial and psaux changes

* Thu Feb 25 1999 Matt Wilson <msw@redhat.com>
- updated descriptions

* Fri Feb 19 1999 Preston Brown <pbrown@redhat.com>
- added sparc support.

* Mon Feb 15 1999 Matt Wilson <msw@redaht.com>
- Fixed typo in %post script

* Mon Feb  8 1999 Matt Wilson <msw@redhat.com>
- Fixed %post script to handle absolute symlinks

* Fri Feb  5 1999 Matt Wilson <msw@redhat.com>
- Finished %post script

* Wed Jan 27 1999 Matt Wilson <msw@redhat.com>
- s/cua/ttyS/g so we don't use the depreciated /dev/cua interface to
  serial devices

* Tue Jan 19 1999 Bill Nottingham <notting@redhat.com>
- alpha & arm fixes

* Sun Jan 10 1999 Matt Wilson <msw@redhat.com>
- rebuilt for newt 0.40

* Fri Nov 13 1998 Preston Brown <pbrown@redhat.com>
- somehow the "No Mouse" option was lost, re-added.

* Thu Oct 22 1998 Bill Nottingham <notting@redhat.com>
- build for Raw Hide (slang-1.2.2)

* Wed Oct 14 1998 Cristian Gafton <gafton@redhat.com>
- translation updates

* Mon Oct 12 1998 Preston Brown <pbrown@redhat.com>
- if serial mouse detected that is non-pnp, default on generic not msnew.

* Thu Oct 08 1998 Preston Brown <pbrown@redhat.com>
- F12 functionality fixed
- fixed 0-based array bug in reading config file that has been there always?!

* Wed Oct 07 1998 Preston Brown <pbrown@redhat.com>
- merged in some more of the brazilian translation stuff.

* Mon Oct 05 1998 Preston Brown <pbrown@redhat.com>
- fixed some random problems, esp. autodetecting serial port but then asking
- what port to use anyway.  Tested in lab in install and "afterwards" modes,
- checks out OK. Removed %patch -p1; why was it back again!?

* Sat Sep 26 1998 Arnaldo Carvalho de Melo <acme@conectiva.com.br>
- more translatable strings (i18n)
- the mouse full names, etc
- po/pt_BR (brazilian portuguese) translation - new file
- fixes to the --back section in the english man page
- man hierarchy for the man page translations, pt_BR is the first translation
- make clean goes to the po directory
- make install goes to the man directory

* Fri Sep 25 1998 Preston Brown <pbrown@redhat.com>
- more fixes to autodetection, help button

* Fri Sep 25 1998 Cristian Gafton <gafton@redhat.com>
- slovak patches in
- turkish translation update

* Thu Sep 24 1998 Preston Brown <pbrown@redhat.com>
- pnp updates for logitech, microsoft serial mice
- little update to kickstart stuff, changed a || to a &&

* Wed Sep 23 1998 Cristian Gafton <gafton@redhat.com>
- added Serbian (sr) language support

* Wed Sep 23 1998 Preston Brown <pbrown@redhat.com>
- fixed problem when reading config file but not selecting configured mouse
- default focus of window is on the mouse list, not the OK button

* Thu Sep 17 1998 Preston Brown <pbrown@redhat.com>
- pasted in a block of code to readConfigFile that I missed.

* Tue Sep 15 1998 Preston Brown <pbrown@redhat.com>
- updated so that new ms mice are recognized in pnp mode.
- merged into CVS (whoops. sorry bout that)

* Thu Sep 10 1998 Preston Brown <pbrown@redhat.com>
- added some new mouse types, X mousetype config line; alphabetized list

* Sun Aug 02 1998 Erik Troan <ewt@redhat.com>
- use NEWT_FLAG_SCROLL now for newt 0.30
- added --test

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for fr, de, tr

* Thu May 07 1998 Erik Troan <ewt@redhat.com>
- uadded/updated translations

* Mon Apr 20 1998 Erik Troan <ewt@redhat.com>
- build rooted
- added de and en_RN translations

* Fri Mar 27 1998 Erik Troan <ewt@redhat.com>
- reworked much of the code to be somewhat readable -- this came from
  poor XFree86 code to begin with, and it never seemed to get any better

* Sun Nov  9 1997 Michael Fulbright <msf@redhat.com>
- fixed --expert mode

* Fri Nov  7 1997 Michael Fulbright <msf@redhat.com>
- fixes some problems with busmice probing

* Wed Nov  5 1997 Michael Fulbright <msf@redhat.com>
- changed SERIAL to serial when reporting probe results
- added a dist to Makefile, so 'make dist' makes a tarball

* Sat Nov  1 1997 Michael Fulbright <msf@redhat.com>
- added man page to file list

* Wed Oct 22 1997 Michael Fulbright <msf@redhat.com>
- added query if ps/2 mouse found if they want to emulate 3 buttons

* Mon Oct  6 1997 Michael Fulbright <msf@redhat.com>
- fixed creation of /dev/mouse link for cua devices in interactice mode.
- added man page and --help information

* Thu Oct  2 1997 Michael Fulbright <msf@redhat.com>
- added --expert and probing in interactive mode.

* Tue Sep 30 1997 Michael Fulbright <msf@redhat.com>
- enchanced kickstart behavior, tries to autoprobe devices in this mode.

* Thu Sep 18 1997 Erik Troan <ewt@redhat.com>
- added command line options

* Tue Jul 08 1997 Erik Troan <ewt@redhat.com>
- built against glibc
